 awk version of cat n
{ printf(d\ts\n, NR, $0) }
no parameters).
'
Submit
[scr]<$>make0.sub

yese a string and return a list of singlequoted
   characters. *

char *strplode(char *cp)
{
	char temp[1024];
	register char *cp2 = temp;

*
	while (*cp) {
		*cp2++ = '\'';
		if (*cp == '\\' || *cp == '\'')
			*cp2++ = '\\';
		*cp2++ = *cp++;
		*cp2++ = '\'';
		if (*cp)
			*cp2++ = ',';
	}
*

* instead *
	*cp2++ = '\';
	while (*cp) {
		if (ispunct(*cp)) {
			* don't put any break statements in this 